org.apache.uima.fit.factory.initializable

## Interface Initializable

-     public interface Initializable

  This interface provides a way of initializing a class with a `UimaContext`. The standard use case of this interface involves situations in which a member variable is declared with an interface type and the actual class that is used is decided at runtime. When the member variable is instantiated, it is useful to provide it a `UimaContext` so that it can initialize itself based on configuration parameters.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize(org.apache.uima.UimaContext context)` This method will be called automatically if the implementing class is instantiated with InitializableFactory.

- - ### Method Detail

    - #### initialize

          void initialize(org.apache.uima.UimaContext context)
                   throws org.apache.uima.resource.ResourceInitializationException

      This method will be called automatically if the implementing class is instantiated with InitializableFactory.
      Parameters:
        `context` - the UIMA context containing the parameter settings
      Throws:
        `org.apache.uima.resource.ResourceInitializationException` - if there was a problem during initialization

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.